Mailinglist Archive: opensuse-bugs (3349 mails)

< Previous Next >
[Bug 977903] Memory leak on Totem-player on .mkv (Matroska) playing, if gstreamer-plugins-libav is not installed
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 03 May 2016 10:48:23 +0000
  • Message-id: <bug-977903-21960-BXkGQjFg02@http.bugzilla.suse.com/>
http://bugzilla.suse.com/show_bug.cgi?id=977903
http://bugzilla.suse.com/show_bug.cgi?id=977903#c4

--- Comment #4 from Mikhail Kasimov <mikhail.kasimov@xxxxxxxxx> ---
(In reply to Bjørn Lie from comment #3)
(In reply to Bjørn Lie from comment #2)
We have this in place already. As a test I nuked the gstreamer-plugins-libav
from my install.

bjolie@haldis:~/Lagring/bjolie/Nedlastinger/RandomFilm.1080p.bluray.x264-
snooze.mkv
libva info: VA-API version 0.39.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/nouveau_drv_video.so
libva info: Found init function __vaDriverInit_0_39
libva info: va_openDriver() returns 0
** Message: Missing plugin: gstreamer|1.0|totem|DTS
dekoder|decoder-audio/x-dts, framed=(boolean)true, endianness=(int)4321,
block-size=(int)512, frame-size=(int)2012 (DTS dekoder)

(totem:11371): Gtk-WARNING **: Drawing a gadget with negative dimensions.
Did you forget to allocate a size? (node slider owner GtkScale)
** Message: PackageKit: xid = 20971535
** Message: PackageKit: desktop_id = org.gnome.Totem.desktop
** Message: PackageKit: Codec nice name: DTS dekoder
** Message: PackageKit: ignoring field named framed
** Message: PackageKit: ignoring field named endianness
** Message: PackageKit: ignoring field named block-size
** Message: PackageKit: ignoring field named frame-size
** Message: PackageKit: structure: gstreamer1(decoder-audio/x-dts)()(64bit)
** Message: Missing plugins installed. Updating plugin registry ...
** Message: Plugin registry updated, trying again.


---

This all assumes that you have packagekit and a gui front-end installed
(like gnome-software or gnome-packagekit)

Yes, you're right -- XFCE is a DE and PackageKit is beeing in use.

But furthermore - gstreamer-plugins-libav is a Packman only package, as we
can not distribute it legaly via opensuse oss repos, and that makes
everything so much harder. Not sure if we will have to just close this bug
as worksforme.

ok, I inderstand.

Do you have a "sample" file you could upload, there could be a issue with
certain codecs, or it might have also been a combination with regards to
other package you have installed on your end.

"sample" is over 5Gb size. :(

IE were gstreamer-plugins-bad/ugly-orig-addon from packman installed too?

Yes, from Packman.

Also check if PackageKit-gstreamer-plugin is installed

Installed.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >